#ifndef UDPPROTOCOL_H
#define UDPPROTOCOL_H

#include "GlobalDefine.h"
#include <QByteArray>

#define UDP_PROTOCOL_HEADER (quint32)0xDEAD5AD5


class CUDPProtocol
{
public:

    typedef enum
    {
        UDP_INIT_CONNECTION_REQUEST,
        UDP_CLOSE_CONNECTION_REQUEST,
        TCP_MSG_UNKNOWN
    }eUDPMessage;


    CUDPProtocol();

public:
    unsigned int AnalyseNewData(QByteArray Data);

    QByteArray GetInitUDPConnectionPacket();
    QByteArray GetStopUDPStreamPacket();
    QByteArray GetCloseUDPConnectionPacket();

};

#endif // UDPPROTOCOL_H
